/************************************************************************************
hazardmeshirs
Copyright (c) 2010, International Rescue System Institute
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD license.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/

//***********************************************************************************************//
//* udp.h											*//
//***********************************************************************************************//

//-- [ヘッダファイル二重読込防止処理]------------------------------------------------------------//
#ifndef __UDP__												// 条件コンパイル開始
#define __UDP__												// 条件判断用定義セット
//-----------------------------------------------------------------------------------------------//


//-- [ヘッダファイル] ---------------------------------------------------------------------------//
//- fcntl.h		: fcntl									-//
//- signal.h		: sigaction, struct sigaction						-//
//- stdio.h		: printf, fflush							-//
//- stdlib.h		: exit									-//
//- string.h		: strlen								-//
//- unisted.h		: close									-//
//- arpa/inet.h		: inet_addr								-//
//- netinet/in.h	: htons, inet_addr, struct sockaddr_in					-//
//- sys/socket.h	: inet_addr, recvfrom, sendto, socket					-//
//- sys/time.h		: gettimeofday								-//
//- sys/types.h		: recvfrom, sendto, socket						-//
//-----------------------------------------------------------------------------------------------//
#include <fcntl.h>											// fcntlヘッダファイル読み込み
#include <signal.h>											// signalヘッダファイル読み込み
#include <stdio.h>											// stdioヘッダファイル読み込み
#include <stdlib.h>											// stdlibヘッダファイル読み込み
#include <string.h>											// stringヘッダファイル読み込み
#include <sys/time.h>											// sys/timeヘッダファイル読み込み
#include <sys/types.h>											// sys/typesヘッダファイル読み込み
#include <sys/socket.h>											// sys/socketヘッダファイル読み込み
#include <netinet/in.h>											// netinet/inヘッダファイル読み込み
#include <arpa/inet.h>											// arpa/inetヘッダファイル読み込み
#include <unistd.h>											// unistdヘッダファイル読み込み
//-----------------------------------------------------------------------------------------------//


//-- [プロトタイプ宣言] -------------------------------------------------------------------------//
extern double gettimeofday_sec(void);									// 時間確認関数
//-----------------------------------------------------------------------------------------------//


//-- [ヘッダファイル末尾] -----------------------------------------------------------------------//
#endif													// 条件コンパイル終了
//-----------------------------------------------------------------------------------------------//
