#!/bin/sh

# -bpython		: Pythonコンポーネントコード生成プログラム
# -bvcproject		: VC++プロジェクトファイル生成プログラム
# -bcxx			: C++コンポーネントコード生成プログラム
#
# --module-name		: モジュール名
# --module-desc		: モジュールの説明
# --module-version	: モジュールのバージョン
# --module-vendor	: モジュールのベンダ
# --module-category	: モジュールのカテゴリ
# --module-comp-type	: コンポーネントの型
# --module-act-type	: アクティビティタイプ
# --module-max-inst	: コンポネントインスタンスの最大数
#
# --inport		: 入力ポート定義
# --outport		: 出力ポート定義
# --service-idl		: サービスプロバイダIDLパス
# --service		: サービスプロバイダ定義
# --consumer-idl	: サービスコンシューマIDLパス
# --consumer		: サービスプロバイダ定義
# --config		: コンフィグレーションセット定義

rtc-template -bcxx \
	--module-name=TestInput \
	--module-desc='Test Input for Hazard Mesh Module of Hazard' \
	--module-version=1.0.0 \
	--module-vendor=IRS \
	--module-category=Map \
	--module-comp-type=DataFlowComponent \
	--module-act-type=SPORADIC \
	--module-max-inst=1 \
	--outport=MeshOrder:TimedMeshOrder \
	--consumer-idl=irs.idl \
	--config=01_trigger:unsigned\ short:1 \
	--config=02_mode:unsigned\ short:0 \
	--config=03_location:std::string:kobe_kimec_center_building \
	--config=04_mapset:std::string:irs \
	--config=05_type:std::string:hazard \
	--config=06_originx:long:-1000 \
	--config=07_originy:long:-1000 \
	--config=08_sizex:unsigned\ long:28000 \
	--config=09_sizey:unsigned\ long:16000 \
	--config=10_pixelsizex:unsigned\ long:500 \
	--config=11_pixelsizey:unsigned\ long:500
